> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apten.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add to DNC List

> Adds a phone number to the Do Not Contact (DNC) list to prevent it from being imported.



## OpenAPI

````yaml post /dnc/register
openapi: 3.0.1
info:
  title: AttentPublicAPI
  version: '2024-05-17T21:09:13Z'
servers:
  - url: https://api.attent.app/v1
security: []
paths:
  /dnc/register:
    post:
      description: >-
        Adds a phone number to the Do Not Contact (DNC) list to prevent it from
        being imported.
      requestBody:
        description: Phone number to add to DNC list
        content:
          application/json:
            schema:
              type: object
              properties:
                phone:
                  $ref: '#/components/schemas/phoneProperty'
              required:
                - phone
              example:
                phone: '+15555555555'
        required: true
      responses:
        '200':
          description: Phone number successfully added to DNC list
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Success message
                example:
                  message: Phone number successfully added to DNC list
        '400':
          $ref: '#/components/responses/400'
        '403':
          $ref: '#/components/responses/403'
        '500':
          $ref: '#/components/responses/500'
      security:
        - api_key: []
components:
  schemas:
    phoneProperty:
      type: string
      description: >
        The phone number must begin with an area code (+) and can contain
        digits, spaces, parentheses, and hyphens (e.g. +1 (555) 555-5555)
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            example:
              message: 'Invalid format for field: phone'
    '403':
      description: Forbidden API key
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            example:
              message: Forbidden
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            example:
              message: Internal Server Error
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````